<!DOCTYPE html>
<html>
 <head>
   <meta charset="utf-8" />
   <title>JS-ADV. Lesson 1. Task 2 </title>
</head>
<body>
  <div class="wrap" id="app">
   
  </div>

  <script>
  /*
      Задание:

      Сложить в элементе с id App следующую размету HTML:

      <header>
        <a href="http://google.com.ua">
          <img src="https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png">
        </a>
        <div class="menu">
          <a href="#1"> link 1</a>
          <a href="#1"> link 2</a>
          <a href="#1"> link 3</a>
        </div>
      </header>


      Используя следующие методы для работы:
      getElementById
      createElement
      element.innerText
      element.className
      element.setAttribute
      element.appendChild

  */

  var header = document.createElement('header');
  
  var aHref = document.createElement('a');
      aHref.href ="http://google.com.ua";

      header.appendChild(aHref);
       
  var img = document.createElement('img');
      img.src = "https://www.google.com.ua/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png";

      aHref.appendChild(img);
   
  var div = document.createElement('div');
      div.className = "menu";
      

  var link = document.createElement('a');
    link.innerText = "Link 1  ";
    link.href = "#1"

  var link2 = document.createElement('a');
    link2.innerText = "Link 2  ";
    link2.href = "#2"

  var link3 = document.createElement('a');
      link3.innerText = "Link 3  ";
      link3.href = "#3"
    div.appendChild(link);
    div.appendChild(link2);
    div.appendChild(link3);

    header.appendChild(div);
    app.appendChild(header);
  </script>
</body>
</html>
